Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80504 - System hangs as soon as USB cable for Canon S200SP printer is plugged
Summary: System hangs as soon as USB cable for Canon S200SP printer is plugged
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-27 13:42 UTC by RK
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:20 UTC


Attachments (Terms of Use)

Description RK 2002-12-27 13:42:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
System is working well and as soon as I plug the USB cable for Canon printer
S200SP (This printer doesn't have parallel port connection), system hangs,
mouse, keyboard stops working completely and I have to reboot the system.
During reboot if the USB cable is plugged in system boots and hangs after the
following step:
Initializing USB controller (usb-uhci):   [OK]
Initializing USB controller (ehci-hcd):   [OK] 

If I remove the USB cable and boot the the sstem  it works fine. Could you
please help me.

Thanks very much
RK

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start the system
2.Plug the USB cable from S200SP printer to the system
3.System hangs
    

Actual Results:  System hangs, keyboard, mouse etc. doesn't work at all and I
have to bbot the system.

Expected Results:  I should be able to configure Canon printer S200SP and use it
properly

Additional info:

Comment 1 Pete Zaitcev 2002-12-27 15:35:01 UTC
Please find the line "alias usb-controller1 ehci-hcd" in
/etc/modules.conf and comment it out (with #), let us know if it helps.


Comment 2 RK 2002-12-28 12:17:12 UTC
Thankyou Pete. Your soultion has solved the system hang problem. Then I tried to
use the printer but couldn't do that. Things which I tried :
Usimg KDE's "ControlPanel > Printer Configuration" utility I created following
configurations and tried to print, but couldn't do that.

Config 1: 
Queue Name: canons200sp (Local Printer) 
Device : /dev/lp0
Printer Driver: Canon > BJC-210SP > bj200 (Closest to color S200SP)

When tried printing a test page from the utility and from shell 'lpq' command is
 executed, output was :

Printer: canons200sp@localhost
 Queue: 1 printable job
 Server: pid 2571 active
 Unspooler: pid 2572 active
 Status: IF filter 'mf_wrapper' filter msg - 'closed *main::KID3' at 23:12:44.168
 Rank   Owner/ID                  Class Job Files                 Size Time
active root@localhost+570           A   570 /usr/share/printconf 18255 23:12:43
error  root@localhost+963           A   963 ERROR: aborting operations

Config 2: (Same as Config 1 except driver)
Printer Driver: Canon > BJ-200 > bj200 
Similar message on 'lpq' command

Config 3: (Same as Config 1 except driver)
Printer Driver: Canon > BJ-200 > omni 
output of 'lpq'
Printer: canons200sp@localhost
 Queue: 1 printable job
 Server: pid 2837 active
 Unspooler: pid 2838 active
 Status: IF filter 'mf_wrapper' filter msg - 'rendering band lines 3666 - 2720
w/946 ' at 23:20:14.384
 Rank   Owner/ID                  Class Job Files                 Size Time
active root@localhost+836           A   836 /usr/share/printconf 18255 23:20:14

Config 4: (Using USB)
Queue Name: canons200spusb (Local Printer) 
Device : /dev/usb/lp0
Printer Driver: Canon > BJC-210SP > bj200 

Config 5: (Same as Config 4 except driver)
Printer Driver: Canon > BJC-210SP > omni 

Config 6: (Same as Config 4 except driver)
Printer Driver: Canon > BJC-210SP > bjc600

Config 7: (Same as Config 4 except driver)
Printer Driver: Canon > BJC-210SP > gimp-print

On the shell when 'lpq' command is run output is:
Status: cannot open /dev/usb/lp0 - No such device , attempt 3  sleeping 40 at
23:09:50.301

Could you please help me how to get this working.


Comment 3 Pete Zaitcev 2003-01-24 03:59:10 UTC
Please attach a copy of /proc/bus/usb/devices, with the printer connected.


Comment 4 Pete Zaitcev 2003-06-03 19:00:42 UTC
And BTW, lsmod output would be good, too (perhaps "printer" module fails to load).


Comment 5 Bugzilla owner 2004-09-30 15:40:20 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.